Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractStaticPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod

    @SuppressWarnings("rawtypes")
    public abstract class AbstractStaticPersistentMethod
    extends AbstractStaticMethodInvocation

Abstract base class for static persistent methods.

Authors:
  Steven Devijver
  Graeme Rocher

Constructor Summary
`protected AbstractStaticPersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`
`protected Criteria` | `getCriteria(Session session, groovy.lang.Closure additionalCriteria, java.lang.Class clazz)`
`protected HibernateTemplate` | `getHibernateTemplate()`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, Object[] arguments)`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, toString

Constructor Detail

### AbstractStaticPersistentMethod

    protected AbstractStaticPersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern)

Method Detail

### doInvokeInternal

    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)

### getCriteria

    protected Criteria getCriteria(Session session, groovy.lang.Closure additionalCriteria, java.lang.Class clazz)

### getHibernateTemplate

    protected HibernateTemplate getHibernateTemplate()

### invoke

    @Override
    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, Object[] arguments)

### invoke

    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)

Groovy Documentation